Page MenuHomePhabricator

Urlencoded slash in doi unable to generate citation
Closed, ResolvedPublic1 Story Points

Description

Example: 10.1093%2Foxfordjournals.molbev.a004133

This fails to generate a citation because the slash is url encoded.

  • fix in extension

Event Timeline

Josve05a created this task.Jul 18 2015, 8:02 PM
Josve05a raised the priority of this task from to Needs Triage.
Josve05a updated the task description. (Show Details)
Josve05a added projects: Citoid, VisualEditor.
Josve05a added subscribers: Josve05a, Mvolz.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 18 2015, 8:02 PM
Jdforrester-WMF triaged this task as Normal priority.Jul 21 2015, 7:08 PM
Jdforrester-WMF set Security to None.
Jdforrester-WMF moved this task from To Triage to TR1: Releases on the VisualEditor board.
Mvolz moved this task from Backlog to IO Tasks on the Citoid board.Jul 26 2015, 5:17 PM
Mvolz updated the task description. (Show Details)Sep 30 2016, 1:51 PM

Change 313428 had a related patch set uploaded (by DLynch):
Decode input before sending to citoid

https://gerrit.wikimedia.org/r/313428

Change 313428 merged by jenkins-bot:
Decode input before sending to citoid

https://gerrit.wikimedia.org/r/313428

Mvolz updated the task description. (Show Details)
Mvolz closed this task as Resolved.Oct 10 2016, 2:21 PM
Mvolz updated the task description. (Show Details)